Package com.sas.lsaf.content.repository

## Class RepositoryContext

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.content.repository.RepositoryItem
    - - com.sas.lsaf.content.repository.RepositoryContainer
      - - com.sas.lsaf.content.repository.RepositoryContext

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class RepositoryContext
      extends RepositoryContainer

  The class that represents a context within the repository hierarchy. Contexts are special containers that can be configured through the type service with certain capabilities, such as membership definition, group definitions, role definitions, workflow, and so on.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.content.repository.RepositoryItem

      `RepositoryItem.State, RepositoryItem.Syncable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryContext​(java.lang.String typeId, java.lang.String id, java.lang.String name, java.lang.String path, long revision, RepositoryItem.State state, java.lang.String createdBy, java.util.Date created, java.lang.String lastModifiedBy, java.util.Date lastModified, java.lang.String propertiesLastModifiedBy, java.util.Date propertiesLastModified, java.lang.String description, RepositoryItem.Syncable syncable, java.util.List<Attribute> attributes, VersionLimits defaultVersionLimits)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.content.repository.RepositoryContainer

      `getDefaultVersionLimits, setDefaultVersionLimits`

    - ### Methods inherited from class com.sas.lsaf.content.repository.RepositoryItem

      `getAttributes, getCreated, getCreatedBy, getDescription, getLastModified, getLastModifiedBy, getName, getPath, getPropertiesLastModified, getPropertiesLastModifiedBy, getRevision, getState, getSyncable, setAttributes, setDescription, setSyncable`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryContext

          public RepositoryContext​(java.lang.String typeId,
                                   java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String path,
                                   long revision,
                                   RepositoryItem.State state,
                                   java.lang.String createdBy,
                                   java.util.Date created,
                                   java.lang.String lastModifiedBy,
                                   java.util.Date lastModified,
                                   java.lang.String propertiesLastModifiedBy,
                                   java.util.Date propertiesLastModified,
                                   java.lang.String description,
                                   RepositoryItem.Syncable syncable,
                                   java.util.List<Attribute> attributes,
                                   VersionLimits defaultVersionLimits)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the repository context objects returned by the API.
      Parameters:
        `typeId` - The object type identifier of the repository context.
        `id` - The unique identifier of the repository context.
        `name` - The name of the context.
        `path` - The full path to the context in the repository, which includes the name.
        `revision` - The internally managed revision number of the repository context.
        `state` - The current state of the repository context.
        `createdBy` - The user who created the repository context.
        `created` - The date on which the repository context was created..
        `lastModifiedBy` - The user who last modified the repository context's content.
        `lastModified` - The date on which the repository context's content was last modified.
        `propertiesLastModifiedBy` - The user who last modified the repository context's properties.
        `propertiesLastModified` - The date on which the repository context's properties were last modified.
        `description` - The description of the context.
        `syncable` - Indicates whether the context can be copied to the user's workspace.
        `attributes` - The extended attributes that are defined on the repository context.
        `defaultVersionLimits` - The default version limits for new versioned files that are added to the container.

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `RepositoryContainer`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `RepositoryContainer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `RepositoryContainer`